curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/videos/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0",
"resolution": "720P",
"duration": 4,
"prompt": "晨雾中的海湾,镜头缓慢向前移动。",
"aspect_ratio": "16:9"
}
'{
"task_id": "task_2041350318103396352",
"model": "happyhorse-1.0",
"created_at": "2026-11-16T07:00:00.000Z",
"request_id": "task_2041350318103396352"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "Parameter value is out of range or has incorrect type",
"status": 400,
"request_id": "req_example"
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits. Upgrade your plan or purchase additional credits.",
"status": 402,
"request_id": "req_example"
}
}{
"error": {
"code": "PAYLOAD_TOO_LARGE",
"message": "Request payload exceeds the supported size",
"status": 413,
"request_id": "req_example"
}
}视频模型 API
HappyHorse 1.0
文生视频、首帧、多参考图及视频编辑。
POST
/
v1
/
videos
/
generate
curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/videos/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0",
"resolution": "720P",
"duration": 4,
"prompt": "晨雾中的海湾,镜头缓慢向前移动。",
"aspect_ratio": "16:9"
}
'{
"task_id": "task_2041350318103396352",
"model": "happyhorse-1.0",
"created_at": "2026-11-16T07:00:00.000Z",
"request_id": "task_2041350318103396352"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "Parameter value is out of range or has incorrect type",
"status": 400,
"request_id": "req_example"
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits. Upgrade your plan or purchase additional credits.",
"status": 402,
"request_id": "req_example"
}
}{
"error": {
"code": "PAYLOAD_TOO_LARGE",
"message": "Request payload exceeds the supported size",
"status": 413,
"request_id": "req_example"
}
}授权
Bearer YOUR_API_KEY。在 API Keys 管理密钥。
请求体
application/json

